package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.Employee;

public interface OaUserService {

    /**
     * 添加OA用户
     * @param employee
     * @return
     */
    Object addOaUser(Employee employee);


    /**
     * 修改OA用户
     * @param employee
     * @return
     */
    Object updateOaUser(Employee employee);


    /**
     * 删除OA用户（软删除）
     * @param employee
     * @return
     */
    Object delOaUser(Employee employee);


    /**
     * 恢复OA用户
     * @param employee
     * @return
     */
    Object reInsertOaUser(Employee employee);
}
